Bug 128842 - CAN-2002-0029 bind resolver issues affect glibc
Summary: CAN-2002-0029 bind resolver issues affect glibc
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: glibc   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-30 13:55 UTC by Mark J. Cox
Modified: 2016-11-24 15:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-04 21:34:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:383 high SHIPPED_LIVE Important: glibc security update 2004-08-04 04:00:00 UTC

Description Mark J. Cox 2004-07-30 13:55:10 UTC
An audit of our glibc packages in Red Hat Enterprise Linux found a
potential flaw in the resolver which was part of a security update to
BIND 4 in November 2002.

Patch:
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/resolv/nss_dns/dns-network.c.diff?r1=1.15&r2=1.16&cvsroot=glibc

glibc as provided by Red Hat Enterprise Linux 2.1 does not include
this patch.  We're investigating to see if this is actually an issue
for the glibc-2.2.4 as shipped in RHEL2.1 or is mitigated by other
changes, but will include the fix in the next update in any event.

Comment 2 Jakub Jelinek 2004-07-30 21:38:53 UTC
glibc-2.2.4-32.17 is in dist-2.1AS-errata-candidate.

Comment 3 Mark J. Cox 2004-08-04 21:34:51 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-383.html



Note You need to log in before you can comment on or make changes to this bug.